/* ------------ botones ------------ */
.btn {
  .elementor-button-wrapper {
    position: relative;
    width: fit-content;
    height: 42px;

    &::before {
      content: "";
      position: absolute;
      width: 100%;
      height: 10px;
      top: 0;
      left: 0;
      right: 0;
      margin: auto;
      border-top: 2px solid var(--c-primario);
      border-left: 2px solid var(--c-primario);
      border-right: 2px solid var(--c-primario);
      z-index: 1;
    }

    &::after {
      content: "";
      position: absolute;
      width: 100%;
      height: 10px;
      bottom: 0;
      left: 0;
      right: 0;
      margin: auto;
      border-left: 2px solid var(--c-primario);
      border-right: 2px solid var(--c-primario);
      border-bottom: 2px solid var(--c-primario);
      z-index: 1;
    }

    .elementor-button {
      color: var(--c-blanco) !important;
      padding: 10px 12px !important;
      margin: 0px;
      position: relative;
      background: linear-gradient(-105deg, rgba(88, 213, 219, 0.4) 0%, rgba(100, 134, 21, 0.4) 100%) !important;
      font-size: 18px !important;
      font-weight: 400;
      border-radius: 0;
      overflow: hidden;
      display: inline-block;
      height: 42px;
      z-index: 0;
      box-shadow: 0 0 5px 0 rgba(0, 47, 83, 0.1);
      transition: var(--transicion);
      border: 2px solid var(--c-azul-muy-oscuro);

      .elementor-button-icon {
        color: var(--c-primario);
        transition: var(--transicion);
      }

      &::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        z-index: -1;
        background: var(--c-azul-muy-oscuro);
        opacity: 1;
        transition: var(--transicion);
      }
  
      &:hover {
        color: var(--c-primario) !important; 
        border-color: var(--c-primario);
        
        &::after {
          opacity: 0;
        }
      }
    }
  }
}
